<?xml version="1.0" encoding="UTF-8"?>
<actions>
<action>
	<icon>terminal</icon>
	<name>open terminal</name>
	<submenu></submenu>
	<unique-id>1677354678427435-1</unique-id>
	<command>if [ -d %f ]; then kitty --working-directory %f; else kitty --working-directory %d; fi;</command>
	<description></description>
	<range>*</range>
	<patterns>*</patterns>
	<directories/>
	<audio-files/>
	<image-files/>
	<other-files/>
	<text-files/>
	<video-files/>
</action>
<action>
	<icon>visual-studio-code</icon>
	<name>open in code</name>
	<submenu></submenu>
	<unique-id>1641140666282263-2</unique-id>
	<command>codium %f</command>
	<description></description>
	<range></range>
	<patterns>*</patterns>
	<directories/>
	<text-files/>
</action>
<action>
	<icon>application-x-zip</icon>
	<name>compress (zip)</name>
	<submenu></submenu>
	<unique-id>1641267353517246-1</unique-id>
	<command>zip -r %f&quot;.zip&quot; %N</command>
	<description></description>
	<range></range>
	<patterns>*</patterns>
	<directories/>
</action>
<action>
	<icon>application-x-zip</icon>
	<name>extract (rar)</name>
	<submenu></submenu>
	<unique-id>1641138887847394-1</unique-id>
	<command>unrar x %f</command>
	<description></description>
	<range></range>
	<patterns>*.rar</patterns>
	<other-files/>
</action>
<action>
	<icon>application-x-zip</icon>
	<name>extract (tar)</name>
	<submenu></submenu>
	<unique-id>1641011389293648-1</unique-id>
	<command>tar xf %f .</command>
	<description></description>
	<range></range>
	<patterns>*.gz;*.bz2;*.xz</patterns>
	<other-files/>
</action>
<action>
	<icon>application-x-zip</icon>
	<name>extract (zip)</name>
	<submenu></submenu>
	<unique-id>1641011493853378-2</unique-id>
	<command>unzip %f</command>
	<description></description>
	<range></range>
	<patterns>*.zip</patterns>
	<other-files/>
</action>
<action>
	<icon>application-x-zip</icon>
	<name>extract (7z)</name>
	<submenu></submenu>
	<unique-id>1641407103738358-1</unique-id>
	<command>7za x %f</command>
	<description></description>
	<range></range>
	<patterns>*.7z</patterns>
	<other-files/>
</action>
<action>
	<icon></icon>
	<name>convert (jpg -&gt; png)</name>
	<submenu></submenu>
	<unique-id>1641052497775706-1</unique-id>
	<command>convert %f %f.png</command>
	<description></description>
	<range></range>
	<patterns>*.jpg;*.jpeg</patterns>
	<image-files/>
	<other-files/>
</action>
<action>
	<icon></icon>
	<name>convert (png -&gt; jpg)</name>
	<submenu></submenu>
	<unique-id>1641056857235649-1</unique-id>
	<command>convert %f %f.jpg</command>
	<description></description>
	<range></range>
	<patterns>*.png</patterns>
	<image-files/>
</action>
<action>
	<icon></icon>
	<name>convert (mp4 -&gt; gif)</name>
	<submenu></submenu>
	<unique-id>1641052540266007-2</unique-id>
	<command>convert -delay 33,1000 %f %f&quot;.gif&quot; </command>
	<description></description>
	<range></range>
	<patterns>*.mp4</patterns>
	<video-files/>
</action>
<action>
	<icon></icon>
	<name>reduce resolution (20%)</name>
	<submenu></submenu>
	<unique-id>1641052619812375-3</unique-id>
	<command>convert %n -resize 80%% &quot;resized_&quot;%n</command>
	<description></description>
	<range></range>
	<patterns>*</patterns>
	<image-files/>
	<video-files/>
</action>
<action>
	<icon>application-x-shellscript</icon>
	<name>execute script (sh)</name>
	<submenu></submenu>
	<unique-id>1641341379778864-1</unique-id>
	<command>./%n</command>
	<description></description>
	<range></range>
	<patterns>*.sh</patterns>
	<other-files/>
	<text-files/>
</action>
<action>
	<icon>marktext</icon>
	<name>open marktext here</name>
	<submenu></submenu>
	<unique-id>1677467359404911-1</unique-id>
	<command>marktext %f</command>
	<description></description>
	<range>*</range>
	<patterns>*</patterns>
	<directories/>
</action>
<action>
	<icon>paperclip</icon>
	<name>copy abs path</name>
	<submenu></submenu>
	<unique-id>1693572051425633-1</unique-id>
	<command>sh -c &quot;echo &apos;%f&apos; | tr -d &apos;\n&apos; | xclip -selection clipboard&quot;</command>
	<description>copy absolute path</description>
	<range>*</range>
	<patterns>*</patterns>
	<directories/>
	<audio-files/>
	<image-files/>
	<other-files/>
	<text-files/>
	<video-files/>
</action>
</actions>
